// 3.1_Display example3
// This code is for reference only. Actual coding requires error handling.
void example()
{
	INT nHandle;

	nHandle = OpenMonPrinter( 3, TEXT( "SII DSP-A01" ) );				// Open SDK with printer name

	DispSelectTemplate( nHandle, 125, 5 );								// Select template (ID=125 : for general purpose) with Slide 5
	DispSelectTemplateTextObject( nHandle, 1 );							// Select Text area 1
	DispSetTemplateTextColor( nHandle, 0xFF0000 );						// Text Color = Red
	DispSetTemplateTextAlignment( nHandle, 1 );							// Center
	DispSetTemplateTextLineSpacing( nHandle, 112 );						// Line spacing
	DispSetTemplateTextData( nHandle, TEXT( "\n" ) );
	DispSetTemplateTextLineSpacing( nHandle, 48 );						// Line spacing
	DispSetTemplateTextData( nHandle, TEXT( "Thank you.\n" ) );
	DispSetTemplateTextBold( nHandle, TRUE );							// Bold
	DispSetTemplateTextUnderline( nHandle, TRUE );						// Set Underline
	DispSetTemplateTextData( nHandle, TEXT( "Please scan the QR." ) );
	DispSelectTemplateTextObject( nHandle, 2 );							// Select Text area 2
	DispSetTemplateTextColor( nHandle, 0xFF0000 );						// Text Color = Red
	DispSetTemplateTextAlignment( nHandle, 1 );	// Center
	DispSetTemplateTextSize( nHandle, 2, 2 );
	DispSetTemplateTextLineSpacing( nHandle, 40 );						// Line spacing
	DispSetTemplateTextData( nHandle, TEXT( "\n" ) );
	DispSetTemplateTextData( nHandle, TEXT( "$7.00" ) );
	DispSetTemplateQrCodeData( nHandle, 5, 5, 76, 65, TRUE, 4, (LPBYTE)"DATA" );	// Set QR-code in QR area 5
	DispShowTemplate( nHandle, 25500 );									// Display for 25.5 sec
	DispGetResponseRequest( nHandle, 0x01, 10*1000 );					// Confirm data processing completion
	CloseMonPrinter( nHandle );
}
