// 3.1_Display example3
// This code is for reference only. Actual coding requires error handling.
public void example()
{
    DisplayAPI displayAPI = new DisplayAPI();
    displayAPI.OpenMonPrinter(OpenType.TYPE_DISPLAY, "SII DSP-A01");      // Open SDK with printer name
    displayAPI.SelectTemplate(125, 5);                                    // Select template (ID=125 : for general purpose) with Slide 5					
    displayAPI.SelectTemplateTextObject(1);                               // Select Text area 1						
    displayAPI.SetTemplateTextColor(0xFF0000);                            // Text Color = Red							
    displayAPI.SetTemplateTextAlignment(PrintAlignment.ALIGNMENT_CENTER); // Center						
    displayAPI.SetTemplateTextLineSpacing(112);                           // Line spacing							
    displayAPI.SetTemplateTextData("\n");
    displayAPI.SetTemplateTextLineSpacing(48);                            // Line spacing							
    displayAPI.SetTemplateTextData("Thank you.\n");
    displayAPI.SetTemplateTextBold(true);                                 // Bold						
    displayAPI.SetTemplateTextUnderline(true);                            // Set Underline
    displayAPI.SetTemplateTextData("Please scan the QR.");
    displayAPI.SelectTemplateTextObject(2);                               // Select Text area 2						
    displayAPI.SetTemplateTextColor(0xFF0000);                            // Text Color = Red							
    displayAPI.SetTemplateTextAlignment(PrintAlignment.ALIGNMENT_CENTER); // Center												
    displayAPI.SetTemplateTextSize(2, 2);
    displayAPI.SetTemplateTextLineSpacing(40);                            // Line spacing							
    displayAPI.SetTemplateTextData("\n");
    displayAPI.SetTemplateTextData("$7.00");
    displayAPI.SetTemplateQrCodeData(5,                                   // Set QR-code in QR area 5
        ModuleSize.QR_MODULE_SIZE_5,
        ErrorCorrection.QR_ERROR_CORRECTION_L,
        QrDataMode.QRDATAMODE_ALPHANUMERIC,
        true,
        Encoding.ASCII.GetBytes("DATA"));
    displayAPI.ShowTemplate(25500);                                       // Display for 25.5 sec				
    displayAPI.GetResponseRequest(0x01, 10 * 1000);                       // Confirm data processing completion
    displayAPI.CloseMonPrinter();
}