// 3.1_Display example3
// This code is for reference only. Actual coding requires error handling.
public void example() throws PrinterException
{
    PrinterManager printerManager = new PrinterManager(getApplicationContext());
    printerManager.connect(PrinterManager.PRINTER_MODEL_RP_F10, "192.168.129.11");           // Connect printer by ip address.
    printerManager.selectTemplate(125, 5);                                                   // Select template (ID=125 : for general purpose) with Slide 5
    printerManager.selectTemplateTextObject(1);                                              // Select Text area 1
    printerManager.setTemplateTextColor(0xFF0000);                                           // Text Color = Red
    printerManager.setTemplateTextAlignment(PrintAlignment.ALIGNMENT_CENTER);                // Center
    printerManager.setTemplateTextLineSpacing(112);                                          // Line spacing
    printerManager.setTemplateTextData("\n");
    printerManager.setTemplateTextLineSpacing(48);                                           // Line spacing
    printerManager.setTemplateTextData("Thank you.\n");
    printerManager.setTemplateTextBold(CharacterBold.BOLD);                                  // Bold
    printerManager.setTemplateTextUnderline(CharacterUnderline.UNDERLINE_1);                 // Set Underline
    printerManager.setTemplateTextData("Please scan the QR.");
    printerManager.selectTemplateTextObject(2);                                              // Select Text area 2
    printerManager.setTemplateTextColor(0xFF0000);                                           // Text Color = Red
    printerManager.setTemplateTextAlignment(PrintAlignment.ALIGNMENT_CENTER);                // Center
    printerManager.setTemplateTextSize(CharacterScale.VARTICAL_2_HORIZONTAL_2);
    printerManager.setTemplateTextLineSpacing(40);                                           // Line spacing
    printerManager.setTemplateTextData("\n");
    printerManager.setTemplateTextData("$7.00");
    printerManager.setTemplateQrCodeData(5,                                                  // Set QR-code in QR area 5
            ModuleSize.QR_MODULE_SIZE_5,
            ErrorCorrection.QR_ERROR_CORRECTION_L,
            QrDataMode.QRDATAMODE_ALPHANUMERIC,
            QrQuietZone.QRQUIETZONE_EXIST,
            "DATA");
    printerManager.showTemplate(25500);                                                      // Display for 25.5 sec
    int[] val = new int[1];
    printerManager.getDisplayResponse(PrinterManager.DISPLAY_RESPONSE_REQUEST, 0x01, val);   // Confirm data processing completion
    printerManager.disconnect();
}