// 3.1_Display example3
// This code is for reference only. Actual coding requires error handling.
- (void)example
{
    SIIPrinterManager *printerManager = [[SIIPrinterManager alloc] init];
    [printerManager connect:SII_PM_PRINTER_MODEL_RP_F10                  // Connect printer by ip address.
            address:@"192.168.129.11"
            portType:SII_PM_PRINTER_PORT_TYPE_TCP];
    [printerManager selectTemplate:125 slideID:5];                       // Select template (ID=125 : for general purpose) with Slide 5
    [printerManager selectTemplateTextObject:1];                         // Select Text area 1
    [printerManager setTemplateTextColor:0xFF0000];                      // Text Color = Red
    [printerManager setTemplateTextAlignment:SII_PM_ALIGNMENT_CENTER];   // Center
    [printerManager setTemplateTextLineSpacing:112];                     // Line spacing
    [printerManager setTemplateTextData:@"\n"];
    [printerManager setTemplateTextLineSpacing:48];                      // Line spacing
    [printerManager setTemplateTextData:@"Thank you.\n"];
    [printerManager setTemplateTextBold:SII_PM_BOLD];                    // Bold
    [printerManager setTemplateTextUnderline:SII_PM_UNDERLINE_1];        // Underline
    [printerManager setTemplateTextData:@"Please scan the QR."];
    [printerManager selectTemplateTextObject:2];                         // Select Text area 2
    [printerManager setTemplateTextColor:0xFF0000];                      // Text Color = Red
    [printerManager setTemplateTextAlignment:SII_PM_ALIGNMENT_CENTER];   // Center
    [printerManager setTemplateTextSize:SII_PM_VARTICAL_2_HORIZONTAL_2];
    [printerManager setTemplateTextLineSpacing:40];                      // Line spacing
    [printerManager setTemplateTextData:@"\n"];
    [printerManager setTemplateTextData:@"$7.00"];
    [printerManager setTemplateQrCodeData:5                              // Set QR-code in QR area 5
            moduleSize:SII_PM_QR_MODULE_SIZE_5
            errorCorrection:SII_PM_QR_ERROR_CORRECTION_L
            mode:SII_PM_QRDATAMODE_ALPHANUMERIC
            qrQuietZone:SII_PM_QRQUIETZONE_EXIST
            text:@"DATA"];
    [printerManager showTemplate:25500];                                 // Display for 25.5 sec
    UInt8 param[1] = { 0x01 };
    NSInteger val[1];
    [printerManager getDisplayResponse:SII_PM_DISPLAY_RESPONSE_REQUEST  // Confirm data processing completion
            param:[NSData dataWithBytes:param length:sizeof(param)]
            response:val];
    [printerManager disconnect];
}